Subject: Re: [PATCH 3/3] builtin/checkout: DWIM with -f -b

From: Clemens Buchacher <[email-masked]>
Date: Sun, 20 Jun 2010 23:07:23 +0200

On Sun, Jun 20, 2010 at 04:11:38PM -0400, Jeff King wrote:
> On Sun, Jun 20, 2010 at 12:12:55PM -0700, Junio C Hamano wrote:
> 
> > I think this is not "DWIM" but is "-f does not work with -b; fix it".

Actually, it currently behaves exactly as the manpage suggests.

> I am not sure it is fixing a bug. There are really two possible things
> to be forced during checkout:
> 
>   1. throw away local changes
> 
>   2. overwrite an existing branch
> 
> Right now, "checkout -f" means just (1). This patch makes it _also_ mean
> (2). Do we want to conflate those two cases?
> 
[...]
> I dunno. I don't have a strong feeling on how it should be, but I think
> it is more than a simple bug fix.

I don't have anything to add to that, except that in my opinion
checkout does more than enough conflating already, and I am
therefore strongly against this change.

Clemens